Package org.springframework.security.authentication

# Class InternalAuthenticationServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.authentication.AuthenticationServiceException
org.springframework.security.authentication.InternalAuthenticationServiceException

All Implemented Interfaces:
  `Serializable`

public class InternalAuthenticationServiceException extends AuthenticationServiceException

Thrown if an authentication request could not be processed due to a system problem that occurred internally. It differs from `AuthenticationServiceException` in that it would not be thrown if an external system has an internal error or failure. This ensures that we can handle errors that are within our control distinctly from errors of other systems. The advantage to this distinction is that the untrusted external system should not be able to fill up logs and cause excessive IO. However, an internal system should report errors.

This might be thrown if a backend authentication repository is unavailable, for example. However, it would not be thrown in the event that an error occurred when validating an OIDC response from an OIDC provider.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InternalAuthenticationServiceException(String message)`
`InternalAuthenticationServiceException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InternalAuthenticationServiceException

public InternalAuthenticationServiceException(String message, Throwable cause)

### InternalAuthenticationServiceException

public InternalAuthenticationServiceException(String message)